package dao;

import tables.Country;

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import java.util.List;

@Stateless
public class CountryDAO {
    @PersistenceContext
    EntityManager em;

    public List<Country> findAll() {
        return em.createNamedQuery("Country.FindAll").getResultList();
    }

    public Country add(Country c) {
        em.persist(c);
        return c;
    }
}
